<?php

namespace App\Document;

use Doctrine\ODM\MongoDB\Mapping\Annotations as MongoDB;

/** @MongoDB\EmbeddedDocument */
class AutomatedMailConfiguration
{
    /** @MongoDB\Field(type="bool") */
    public $active;

    /** @MongoDB\Field(type="string") */
    public $subject;

    /** @MongoDB\Field(type="string") */
    public $content;

    public function __construct($active = false, $subject = '', $content = '')
    {
        $this->setActive($active);
        $this->setSubject($subject);
        $this->setContent($content);
    }

    /**
     * Set active.
     *
     * @param bool $active
     *
     * @return $this
     */
    public function setActive($active)
    {
        $this->active = $active;

        return $this;
    }

    /**
     * Get active.
     *
     * @return bool $active
     */
    public function getActive()
    {
        return $this->active;
    }

    /**
     * Set subject.
     *
     * @param string $subject
     *
     * @return $this
     */
    public function setSubject($subject)
    {
        $this->subject = $subject;

        return $this;
    }

    /**
     * Get subject.
     *
     * @return string $subject
     */
    public function getSubject()
    {
        return $this->subject;
    }

    /**
     * Set content.
     *
     * @param string $content
     *
     * @return $this
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content.
     *
     * @return string $content
     */
    public function getContent()
    {
        return $this->content;
    }
}
